description

# CssRule class Null safety

Implementers
  - CssCharsetRule
  - CssFontFaceRule
  - CssGroupingRule
  - CssImportRule
  - CssKeyframeRule
  - CssKeyframesRule
  - CssNamespaceRule
  - CssPageRule
  - CssStyleRule
  - CssViewportRule
Annotations
  - @Native("CSSRule")

## Properties

cssText ↔ String?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
parentRule → CssRule?
  read-only
parentStyleSheet → CssStyleSheet?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → int?
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

CHARSET_RULE → const int
  `2`
FONT_FACE_RULE → const int
  `5`
IMPORT_RULE → const int
  `3`
KEYFRAME_RULE → const int
  `8`
KEYFRAMES_RULE → const int
  `7`
MEDIA_RULE → const int
  `4`
NAMESPACE_RULE → const int
  `10`
PAGE_RULE → const int
  `6`
STYLE_RULE → const int
  `1`
SUPPORTS_RULE → const int
  `12`
VIEWPORT_RULE → const int
  `15`